<?php
class cospro
{
	var $ruta;
	var $error;
	var $sql;
	var $cospro;
	function cospro($r)
	{
		$this->ruta=$r;
	}
	
	function get_cospro($item,$fecha,$update)
	{
		require($this->ruta);
		if(empty($fecha)){$fecha=date("Y-m-d");}
		if(empty($update)){$update=0;}

		$sql_fini1='select * from empr0';
		$res_fini1=mysql_query($sql_fini1,$link_vcrx);
		$fini1=mysql_result($res_fini1,0,'empr_finve');
		
		$sql_cospro='';
// 		$sql_cospro.='select idnum1,iddet,docu,fecha,item,cant,puni,status,signo from inve12 ';
// 		$sql_cospro.='select idnum1,iddet,docu,numero,fecha,item,cant,puni,status,signo from inve1, inve2 ';
		$sql_cospro.='select * from inve1, inve2 ';
		$sql_cospro.='where status!="O" and status!="X" ';
		$sql_cospro.='and idnum1=idnum2 ';
// 		$sql_cospro.='and docu not like "%13" ';
		$sql_cospro.='and item ="'.$item.'"and fecha>="'.$fini1.'" and fecha<="'.$fecha.'" ';
// 		$sql_cospro.='order by fecha,signo desc, docu, numero,idnum1,iddet ';
		$sql_cospro.='order by fecha,left(docu,1) desc, docu, numero,idnum1,iddet ';
		$res_cospro=mysql_query($sql_cospro,$link_vcrx);
		$this->error=mysql_error($link_vcrx);
		$this->cospro=0;
			
		$costot=0;
		$cospro=0;
		$unitot=0;
// 		echo $sql_cospro;
		if(mysql_num_rows($res_cospro)!=0)
		{
			while($r_costo=mysql_fetch_assoc($res_cospro))
			{
				if(substr($r_costo['docu'],0,1)=='I')
				{
					$unitot=$unitot+abs($r_costo['cant']);
					$xsubti=abs($r_costo['cant']*$r_costo['puni']);
					$xpuni=$cospro;

					// compra.producc.consigna.ajuste.pack
					if(mb_stristr('10.14.16.17.18',substr($r_costo['docu'],2,2)))
					{if($r_costo['puni']>0){$xpuni=$r_costo['puni'];}}
					$costot=$costot+(abs($r_costo['cant']*$xpuni));
				}
				
				if(substr($r_costo['docu'],0,1)=='E')
				{
					$unitot=$unitot-abs($r_costo['cant']);
					$costot=$costot-(abs($r_costo['cant']*$cospro));
				}
				if($unitot>0){$cospro=$costot/$unitot;}
				if($unitot<=0){$unitot=0;$costot=0;}
				
				if ($update!=0 && (substr($r_costo['docu'],0,1)=='E' || $r_costo['puni']<=0))
				{
					$sql_updcos='update inve2 set puni='.$cospro.' where idnum2="'.$r_costo['idnum1'].'" and iddet="'.$r_costo['iddet'].'"';
					$res_updcos=mysql_query($sql_updcos,$link_vcrx);	
				}

// 				echo  "\n";
// 				echo '->'.$unitot;
// 				echo '->'.$costot;
// 				echo '->'.$cospro;
				
			}		
			$this->cospro=$cospro;
		}
// echo  "\n";
// echo $fecha.'-->'.$cospro;
		$this->sql=$numd_sql;
		//echo $this->sql;
		unset($numd_res);
		unset($numd_sql);
		unset($ptoe);
		unset($ptoe_res);
		unset($ptoe_sql);
	}
}
?>
